c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::Notifier Member List

This is the complete list of members for Cgu::Notifier, including all inherited members.

block(const Callback::SafeFunctor &f) | Cgu::Notifier |
connect(const Callback::SafeFunctor &f) | Cgu::Notifier |
connect(const Callback::SafeFunctor &f, Releaser &r) | Cgu::Notifier |
connect(F &&f) | Cgu::Notifier | inline
connect(F &&f, Releaser &r) | Cgu::Notifier | inline
disconnect(const Callback::SafeFunctor &f) | Cgu::Notifier |
emit() | Cgu::Notifier |
in_main_thread() | Cgu::Notifier | inline
init() | Cgu::Notifier | static
Notifier(const Notifier &)=delete | Cgu::Notifier |
Notifier() | Cgu::Notifier |
operator()() | Cgu::Notifier | inline
operator=(const Notifier &)=delete | Cgu::Notifier |
unblock(const Callback::SafeFunctor &f) | Cgu::Notifier |
~Notifier() | Cgu::Notifier |